Bug 835399 - ovirt-engine-webadmin-portal: CPU pinning topology description in web UI is not clear
ovirt-engine-webadmin-portal: CPU pinning topology description in web UI is n...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: Gilad Chaplik
Tomas Dosek
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 02:33 EDT by Oded Ramraz
Modified: 2016-02-10 15:19 EST (History)
7 users (show)

See Also:
Fixed In Version: si14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Ramraz 2012-06-26 02:33:48 EDT
Description of problem:

Current description of CPU pinning feature in web admin is not clear IMO:
"v1#p1_v2#p2_..._v#p
Examples: 0#0, 1#3, 1#4,^2"
What is ^2 ? I tried to enter this value and got this error: "VM_PINNING_FORMAT_INVALID"
We need to find a clear way to enter those values. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Gilad Chaplik 2012-06-26 04:06:40 EDT
changed the text to a more 'user friendly' one.

merged upstream (http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=31e445c02ef17ff69890a1e40d96b287d0003eed)
Comment 2 Yaniv Kaul 2012-06-26 04:18:04 EDT
(In reply to comment #1)
> changed the text to a more 'user friendly' one.
> 
> merged upstream
> (http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;
> h=31e445c02ef17ff69890a1e40d96b287d0003eed)

This example does not explain what it is setting.
Comment 3 Doron Fediuck 2012-06-26 05:29:53 EDT
Oded,
The UI you saw had a bug in the examples, and was reformatted.

The actual format is explained in the feature page:

Format: v#p[_v#p]
Examples
0#0 => pin vCPU 0 to pCPU 0
0#0_1#3 => pin vCPU 0 to pCPU 0 and pin vCPU 1 to pCPU 3
1#1-4,^2 => pin vCPU 1 to pCPU set 1 to 4, excluding 2.

Do you think a technical note or release note should be added on top of the documentation?
Comment 4 Oded Ramraz 2012-07-01 03:18:56 EDT
(In reply to comment #3)
> Oded,
> The UI you saw had a bug in the examples, and was reformatted.
> 
> The actual format is explained in the feature page:
> 
> Format: v#p[_v#p]
> Examples
> 0#0 => pin vCPU 0 to pCPU 0
> 0#0_1#3 => pin vCPU 0 to pCPU 0 and pin vCPU 1 to pCPU 3
> 1#1-4,^2 => pin vCPU 1 to pCPU set 1 to 4, excluding 2.
> 
> Do you think a technical note or release note should be added on top of the
> documentation?

I think that we should add detailed Documentation about this feature in the Administration guide , technical note is recommended as well.
Comment 5 Yaniv Kaul 2012-07-01 06:40:23 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Oded,
> > The UI you saw had a bug in the examples, and was reformatted.
> > 
> > The actual format is explained in the feature page:
> > 
> > Format: v#p[_v#p]
> > Examples
> > 0#0 => pin vCPU 0 to pCPU 0
> > 0#0_1#3 => pin vCPU 0 to pCPU 0 and pin vCPU 1 to pCPU 3
> > 1#1-4,^2 => pin vCPU 1 to pCPU set 1 to 4, excluding 2.
> > 
> > Do you think a technical note or release note should be added on top of the
> > documentation?
> 
> I think that we should add detailed Documentation about this feature in the
> Administration guide , technical note is recommended as well.

Should be in the context-sensitive help of the dialog.
Comment 6 Tomas Dosek 2012-07-02 03:32:08 EDT
si8 -  format in dialogue is: 

Format: v1#p1_v2#p2_..._v#p
Examples:
0#0_1#3
1#1-4,^2

Shouldn't we add some more decsriptive text like:

Examples:
0#0_1#3 where 0#0 stands for 0th CPU of VM is pinned to 0th cpu of host

?

I still think some parts of GUI should be made "blockhead-proof", so in case that such user hits the issue she/he sould say ok, I definitely might want to do this and I can do this based on information from GUI.

I think that in case the message looked like Doron described above, it would be sufficient.

Format: v#p[_v#p]
Examples
0#0 => pin vCPU 0 to pCPU 0
0#0_1#3 => pin vCPU 0 to pCPU 0 and pin vCPU 1 to pCPU 3
1#1-4,^2 => pin vCPU 1 to pCPU set 1 to 4, excluding 2.

What do you think Gilad?
Comment 8 Gilad Chaplik 2012-08-09 04:52:21 EDT
> Format: v#p[_v#p]
> Examples
> 0#0 => pin vCPU 0 to pCPU 0
> 0#0_1#3 => pin vCPU 0 to pCPU 0 and pin vCPU 1 to pCPU 3
> 1#1-4,^2 => pin vCPU 1 to pCPU set 1 to 4, excluding 2.
> 
> What do you think Gilad?

If you are OK with that, I OK with that :)
Comment 9 Doron Fediuck 2012-08-09 08:01:26 EDT
Tomas,
This is a highly advanced feature for advanced users.
These users know the terminology, which is derived from libvirt.

So it should remain as is, which is a quick reminder for such users.
Comment 15 Tomas Dosek 2012-08-17 08:08:15 EDT
Verified - si14 - text was changed and is explanatory enough.

Note You need to log in before you can comment on or make changes to this bug.